openSUSE Security Update : xulrunner (openSUSE-2016-127)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

XULRunner was updated to 38.6.0 to fix two security issues.

The following vulnerabilities were fixed :

- CVE-2016-1930: Miscellaneous memory safety hazards
(boo#963632)

- CVE-2016-1935: Buffer overflow in WebGL after out of
memory allocation (boo#963635)

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=963632
https://bugzilla.opensuse.org/show_bug.cgi?id=963635

Solution :

Update the affected xulrunner packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 88548 ()

Bugtraq ID:

CVE ID: CVE-2016-1930
CVE-2016-1935

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now